Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1599849 - Date Created field showing UTC even though settings are set to specific timezone
Summary: Date Created field showing UTC even though settings are set to specific timezone
Keywords:
Status: POST
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.9.0
Hardware: All
OS: All
high
medium
Target Milestone: GA
: 5.11.0
Assignee: Yuri Rudman
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-10 18:13 UTC by Ryan Spagnola
Modified: 2019-04-07 03:30 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Description Ryan Spagnola 2018-07-10 18:13:41 UTC
Description of problem:
When using the Date Created field in a report it is reflecting UTC instead of the settings for the user like the UI shows in the report tree (see screenshot)

Version-Release number of selected component (if applicable):
5.9.2.4

How reproducible:
Always

Steps to Reproduce:
1. Change timezone under My Settings
2. Create a report with the date created field
3. Run report

Actual results:
Reports tree shows report ran with EDT 
In the report view the date created field shows UTC

Expected results:
Date created should match Timezone settings within the appliance

Additional info:
Timezone has been set in the Configuration and My Settings sections of the UI

Comment 2 Joe Rafaniello 2019-02-05 22:50:39 UTC
Ryan,

We should be using the User's timezone found in the users table, settings column in the display => timezone section

{:display => {:timezone => XXX}}

This is what should be displayed in the UI for the user's display settings.

It looks like it's falling back to the UTC.  Do you have an environment where this is happening?
Is the data in the report in the correct timezone or are you saying the metadata about the report is showing the incorrect timezone for when the report was run?

I'd like to take a look because I'm not sure what happening here.

Comment 3 Yuri Rudman 2019-02-06 13:17:30 UTC
I've was looking at this bug and do have environment

Comment 5 Yuri Rudman 2019-02-06 18:54:09 UTC
PR: https://github.com/ManageIQ/manageiq/pull/18438

Comment 6 CFME Bot 2019-02-13 01:54:09 UTC
New commit detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/8753ecf2c0d4f067dda35c9d4b9d54a2f309a185
commit 8753ecf2c0d4f067dda35c9d4b9d54a2f309a185
Author:     Yuri Rudman <yrudman@redhat.com>
AuthorDate: Wed Feb  6 13:18:21 2019 -0500
Commit:     Yuri Rudman <yrudman@redhat.com>
CommitDate: Wed Feb  6 13:18:21 2019 -0500

    Fixed: Timezone set-up in MySettings was not honored when displaying date fields in the report.
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1599849

 app/models/miq_report/generator/html.rb | 10 +-
 1 file changed, 5 insertions(+), 5 deletions(-)


Note You need to log in before you can comment on or make changes to this bug.